package com.brilliance.isc.common.atcmod.vo;

import com.brilliance.isc.bo.Atc;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import lombok.Data;

@Data
public class AtcmodVo extends AbstractCommonVo {

    private Atcdia atcdia;

    private Atcdoc atcdoc;

    private Atcfee atcfee;

    private Atc atc;

    @Override
    public void reset() {
        if (atc == null) {
            atc = new Atc();
        }
        if (atcdia == null) {
            atcdia = new Atcdia();
        }
        if (atcdoc == null) {
            atcdoc = new Atcdoc();
        }
        if (atcfee == null) {
            atcfee = new Atcfee();
        }
    }
}
